summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/feedgenerator/feedgenerator-1.7.ebuild')
-rw-r--r--dev-python/feedgenerator/feedgenerator-1.7.ebuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/dev-python/feedgenerator/feedgenerator-1.7.ebuild b/dev-python/feedgenerator/feedgenerator-1.7.ebuild
new file mode 100644
index 00000000000..4b1cf7c8210
--- /dev/null
+++ b/dev-python/feedgenerator/feedgenerator-1.7.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+inherit distutils-r1
+
+DESCRIPTION="Standalone version of django.utils.feedgenerator"
+HOMEPAGE="http://pypi.python.org/pypi/feedgenerator"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/six[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}] )"
+RDEPEND=""
+
+src_prepare() {
+ distutils-r1_src_prepare
+ # Allow pypy to read MANIFEST.in
+ ln -s tests_feedgenerator tests || die
+}
+
+python_test() {
+ "${PYTHON}" setup.py test
+}